:- module( b_real, [
					aheatmap/1, aheatmap/2,
					lm_plot/3,
					gg_bar_plot/2,
					vectors_subed_gg_bar_plot/4,
					mtx_pheatmap/2,
					mtx_column_pheatmap/3,
					options_rvar_rmv/2,
					pl_vector/3, vector_scale/3,
					pl_plot_on/2,
					r_mtx/2, r_mtx/3,
					columns_fisher_test/5,
					dot/3,
					mtx_df/2, mtx_df/3
				] 
					).

/** <module> Interface predicates to commonly used R functions.

	Interface predicates to commonly used R functions. This library allows
	Prolog users to do same simple tasks in R with out writing any R code
	or call any R functions explicitly.

	Dependancies
	* aheatmap/2 
	  depends on R's library "NMF"

@author nicos angelopoulos
@version  0.1.0 2015/6/17
@version  0.1.1 2015/7/24, added gg_bar_plot/2, then on 12/16 added pl_plot_on/2.
@version  0.2   2016/1/23, published

*/

:- use_module( library(requires) ).

:- requires( b_real:options_rvar_rmv/2 ).
:- requires( b_real:mtx_pheatmap/2 ).
:- requires( b_real:mtx_column_pheatmap/3 ). % requires( library(mtx) ).
:- requires( b_real:lm_plot/2 ).
:- requires( b_real:pl_vector/3 ).
:- requires( b_real:r_mtx/3 ).
:- requires( b_real:mtx_df/2 ).
:- requires( b_real:aheatmap/2 ).
:- requires( b_real:scale/3 ).
:- requires( b_real:gg_bar_plot/2 ).
:- requires( b_real:columns_fisher_test/5 ).
:- requires( b_real:pl_plot_on/2 ).
:- requires( b_real:vectors_subed_gg_bar_plot/4 ).
:- requires( b_real:dot/3 ).
